/*
** $Id: tradext.h,v 1.7 2001/01/04 06:04:10 rra Exp $
** tradext -- storage manager for traditional spool format
** with filename extensions.
*/

#ifndef __TRADEXT_H__
#define __TRADEXT_H__

#include "config.h"
#include "interface.h"

bool tradext_init(SMATTRIBUTE *attr);
TOKEN tradext_store(const ARTHANDLE article, const STORAGECLASS class);
ARTHANDLE *tradext_retrieve(const TOKEN token, const RETRTYPE amount);
ARTHANDLE *tradext_next(const ARTHANDLE *article, const RETRTYPE amount);
void tradext_freearticle(ARTHANDLE *article);
bool tradext_cancel(TOKEN token);
bool tradext_ctl(PROBETYPE type, TOKEN *token, void *value);
bool tradext_flushcacheddata(FLUSHTYPE type);
void tradext_printfiles(FILE *file, TOKEN token, char **xref, int ngroups);
void tradext_shutdown(void);

#endif
